/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workrepay.entity;

import java.util.Date;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workloan.entity.WorkLoan;
import com.jeeplus.modules.workreimbursement.entity.WorkReimbursement;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
import org.activiti.engine.task.Task;

/**
 * 还款Entity
 * @author ssrh
 * @version 2018-10-17
 */
public class WorkRepay extends ActEntity<WorkRepay> {
	//通知88       //流程表 ggh3125f1f194c887yha93555c75edfv  //	assignmentType30
	private static final long serialVersionUID = 1L;
	private String processInstanceId;		// 流程号
	private String officeId;		// 部门
	private String companyId;		// 公司
	private String status;		// 状态
	private WorkLoan workLoan;		// 借款
	private Date repayDate;		// 还款日期
	private String money;		// 还款金额
	private String repayState;		// 还款状态（1已还款2部门还款3未还款）
	private String source ;      //还款来源（1报销还款2直接还款）
	private String home;
	private String notRepay;      //剩余未还款
	private WorkReimbursement workReimbursement;
	// 流程任务
	private Task task;
	private Map<String, Object> variables;
	// 运行中的流程实例
	private ProcessInstance processInstance;
	// 历史的流程实例
	private HistoricProcessInstance historicProcessInstance;
	// 流程定义
	private ProcessDefinition processDefinition;

	public Task getTask() {
		return task;
	}

	public void setTask(Task task) {
		this.task = task;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public String getHome() {
		return home;
	}

	public String getNotRepay() {
		return notRepay;
	}

	public void setNotRepay(String notRepay) {
		this.notRepay = notRepay;
	}

	public void setHome(String home) {
		this.home = home;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}

	public ProcessInstance getProcessInstance() {
		return processInstance;
	}

	public void setProcessInstance(ProcessInstance processInstance) {
		this.processInstance = processInstance;
	}

	public HistoricProcessInstance getHistoricProcessInstance() {
		return historicProcessInstance;
	}

	public void setHistoricProcessInstance(HistoricProcessInstance historicProcessInstance) {
		this.historicProcessInstance = historicProcessInstance;
	}

	public ProcessDefinition getProcessDefinition() {
		return processDefinition;
	}

	public void setProcessDefinition(ProcessDefinition processDefinition) {
		this.processDefinition = processDefinition;
	}

	public WorkRepay() {
		super();
	}

	public WorkRepay(String id){
		super(id);
	}

	@ExcelField(title="流程号", align=2, sort=7)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="部门", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="公司", align=2, sort=9)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getSource() {
		return source;
	}

	public WorkReimbursement getWorkReimbursement() {
		return workReimbursement;
	}

	public void setWorkReimbursement(WorkReimbursement workReimbursement) {
		this.workReimbursement = workReimbursement;
	}

	public void setSource(String source) {
		this.source = source;
	}

	@ExcelField(title="状态", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}



	@ExcelField(title="借款", align=2, sort=11)
	public WorkLoan getWorkLoan() {
		return workLoan;
	}

	public void setWorkLoan(WorkLoan workLoan) {
		this.workLoan = workLoan;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="还款日期", align=2, sort=12)
	public Date getRepayDate() {
		return repayDate;
	}

	public void setRepayDate(Date repayDate) {
		this.repayDate = repayDate;
	}
	
	@ExcelField(title="还款金额", align=2, sort=13)
	public String getMoney() {
		return money;
	}

	public void setMoney(String money) {
		this.money = money;
	}
	
	@ExcelField(title="还款状态", align=2, sort=14)
	public String getRepayState() {
		return repayState;
	}

	public void setRepayState(String repayState) {
		this.repayState = repayState;
	}
	
}